List files within a file channel
curl --request GET \
--url https://api.assembly.com/v1/files \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.assembly.com/v1/files"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.assembly.com/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"additionalFields": {},
"channelId": "a8f2c1d4-1234-4abc-9def-0123456789ab",
"clientPermissions": "read_write",
"createdAt": "<string>",
"creatorId": "f4a1b2c3-1234-4abc-9def-0123456789ab",
"data": "<string>",
"downloadUrl": "<string>",
"fields": {
"eSignatureStatus": "done",
"linkUrl": "https://example.com/brochure.pdf",
"name": "brochure.pdf",
"path": "/contracts/2024",
"size": 20480,
"status": "complete"
},
"id": "<string>",
"identityId": "<string>",
"lastModifiedBy": {
"id": "f4a1b2c3-1234-4abc-9def-0123456789ab",
"object": "internalUser"
},
"object": "<string>",
"previousAttributes": {},
"ref": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"uploadUrl": "<string>"
}
],
"nextToken": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Files
List files within a file channel
Lists files, folders, and links within a file channel. channelId is required;
pass path to scope the listing to a folder within the channel.
GET
/
v1
/
files
List files within a file channel
Authorizations
Query Parameters
File channel id to list files from
Folder path within the channel to scope the listing
Maximum number of items to return
Pagination token for the next page of results
⌘I